------------------------------------------------------------------------------------
--Name:  	shengdan1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-11-22
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(160, 78)
local Player_1 = CppScriptMgr:AddPlayer(849, 153, 67, "", 0, 0)
Player_1:RunTo(178, 101)
local Player_2 = CppScriptMgr:AddPlayer(303, 167, 66, "", 0, 0)
Player_2:RunTo(145, 99)
local npc_2 = CppScriptMgr:AddSimplePlayer(1060310, 91, 169, "Buffy", 0, 0)
npc_2:SetDir(7)
local npc_1 = CppScriptMgr:AddSimplePlayer(1060330, 90, 174, "CatCommander", 0, 0)
npc_1:SetDir(5)
local npc_0 = CppScriptMgr:AddSimplePlayer(1060320, 96, 169, "Pann", 0, 0)
npc_0:SetDir(1)
local Player_3 = CppScriptMgr:AddPlayer(194, 168, 75, "", 0, 0)
Player_3:RunTo(135, 79)
local Player_4 = CppScriptMgr:AddPlayer(219, 166, 85, "", 0, 0)
Player_4:RunTo(144, 58)
local Player_5 = CppScriptMgr:AddPlayer(279, 173, 77, "", 0, 0)
Player_5:RunTo(146, 75)
local Player_6 = CppScriptMgr:AddPlayer(284, 167, 83, "", 0, 0)
Player_6:RunTo(138, 70)
local Effect_1 = CppScriptMgr:AddEffect("nag_bom_ass", 167, 83, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_2 = CppScriptMgr:AddEffect("nag_bom_ass", 173, 77, 33, 1, 1, 1)
Player_1:Say("Help! Run!", 2500)
CppScriptMgr:WaitMilSec(450)
local Effect_3 = CppScriptMgr:AddEffect("nag_bom_ass", 166, 86, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(280)
Player_3:Say("It`s terrifying!", 2000)
Player_6:Say("Mom! Wait for me!", 2000)
CppScriptMgr:WaitMilSec(220)
local Effect_4 = CppScriptMgr:AddEffect("nag_bom_ass", 157, 79, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_5 = CppScriptMgr:AddEffect("nag_bom_ass", 161, 71, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_6 = CppScriptMgr:AddEffect("nag_bom_ass", 153, 67, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(180)
Player_2:Say("Doomsday! The doomsday is coming!", 2000)
CppScriptMgr:WaitMilSec(80)
Player_5:Say("Leave!", 1500)
CppScriptMgr:WaitMilSec(240)
local Effect_7 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 157, 79, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_8 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 155, 72, 33, 1, 1, 1)
local Effect_9 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 157, 62, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(100)
local effect_0 = CppScriptMgr:AddEffect("nag_bom_ass", 173, 77, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("nag_bom_ass", 173, 77, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(400)
local effect_9 = CppScriptMgr:AddEffect("zs_mffyd_xh", 94, 172, 33, 1, 1, 1)
effect_9:Scale(2, 2, 2)
local effect_2 = CppScriptMgr:AddEffect("nag_bom_ass", 157, 79, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(480)
local effect_3 = CppScriptMgr:AddEffect("nag_bom_ass", 161, 71, 33, 1, 1, 1)
local Effect_10 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 168, 79, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:SetViewPosByCell(92, 170)
local effect_4 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 99, 179, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
npc_2:Say("The prophesied doomsday has arrived...", 2000)
CppScriptMgr:WaitMilSec(500)
local effect_5 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 87, 178, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local effect_6 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 86, 165, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
npc_1:Say("Don`t give up! There must be hope! There must be!", 1500)
CppScriptMgr:WaitMilSec(500)
local effect_7 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 103, 168, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
npc_0:Say("The dawn will come!", 1500)
local effect_8 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 98, 173, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(3000)